samtools-bedcov(1)

NAME
samtools bedcov - reports coverage over regions in a supplied BED file

SYNOPSIS

samtools bedcov [options] region.bed in1.sam|in1.bam|in1.cram[...]

DESCRIPTION

Reports the total read base count (i.e. the sum of per base read depths) for each genomic region specified in the supplied BED file. The regions are output as they appear in the BED file and are 0-based. Columns 1-3 are chrom/start/end as per the input BED file, followed by N columns of coverages (for N input BAMs), then (if given -d), N columns of bases-at-depth-X, then (if given -c) N columns of read counts.

OPTIONS

-Q, --min-MQ INT
    Only count reads with mapping quality greater than or equal to INT

-g FLAGS
    By default, reads that have any of the flags UNMAP, SECONDARY, QCFAIL, or DUP set are skipped. To include these reads back in the analysis, use this option together with the desired flag or flag combination. FLAGS can be specified in hex by beginning with `0x' (i.e. /^0x[0-9A-F]+/), in octal by beginning with `0' (i.e. /^0[0-7]+/), as a decimal number not beginning with '0' or as a comma-separated list of flag names. [0] For a list of flag names see samtools-flags(1).

-G FLAGS
    Discard any read that has any of the flags specified by FLAGS set. FLAGS are specified as for the -g option. [UNMAP,SECONDARY,QCFAIL,DUP]

-j  Do not include deletions (D) and ref skips (N) in bedcov computation.

-d INT
    Print an additional column, for each file, containing the number of bases having a depth above and including the given threshold. If the option is not used, the extra column is not displayed. The option value must be an integer >= 0.

--max-depth INT
    Specifies the maximum depth used for the mpileup algorithm. If -d is used and is larger then this value will be used instead. Defaults to 2 billion, but smaller values may be used when we do not require an exact count in excessively deep regions and are interested in maximising speed of results.

-c  Print an additional column with the read count for this region. This will be +1 for every read covering the region, not just starting within in. The whole read filtering options -Q, -g and -G options will also have an affect on this count, but -d will not.

-X  If this option is set, it will allows user to specify customized index file location(s) if the data folder does not contain any index file. Example usage: samtools bedcov [options] -X <in.bed> </data_folder/in1.bam> [...] </index_folder/index1.bai> [...]

-H  print a comment/header describing columns

AUTHOR

Written by Heng Li from the Sanger Institute.

SEE ALSO
samtools(1)

Samtools website: <http://www.htslib.org/>